Name:           vavoom
Version:        1.27.1
Release:        1%{?dist}
Summary:        Enhanced Doom, Heretic, Hexen and Strife source port
Source0:        http://downloads.sourceforge.net/vavoom/%{name}-%{version}.tar.bz2
Source1:        doom.autodlrc
Source2:        heretic.autodlrc
Source3:        hexen.autodlrc
Source4:        strife.autodlrc
Source5:        doom-shareware.sh
Source6:        heretic-shareware.sh
Source7:        hexen-demo.sh
Source8:        strife-demo.sh
Source9:        doom-shareware.desktop
Source10:       heretic-shareware.desktop
Source11:       hexen-demo.desktop
Source12:       strife-demo.desktop
Source13:       doom-logo.png
Source14:       tux-b2f.png
Patch0:         vavoom-1.21-datadir.patch
Patch1:         vavoom-1.26-mikmod32.patch
Patch2:         vavoom-1.27-CMakeLists.patch
URL:            http://vavoom-engine.com/
Group:          Amusements/Games
License:        GPLv2+
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_mixer-devel SDL_net-devel libpng-devel libjpeg-devel
BuildRequires:  libvorbis-devel mikmod-devel flac-devel openal-devel
BuildRequires:  libGLU-devel wxGTK-devel desktop-file-utils cmake
Requires:       timidity++-patches hicolor-icon-theme autodownloader

%description
Vavoom is an enhanced open-source port of Doom. Allowing you to play not only
the classic 3D first-person shooter Doom, but also the Doom derived classics
Heretic, Hexen and Strife. Compared to the original games it adds extra
features such as translucency and freelook support and ofcourse the capability
to play these classics under Linux.


%prep 
%setup -q
%patch0 -p1 -b .datadir
%patch1 -p1 -b .mikmod32
%patch2 -p1


%build
%cmake -DWITH_LIBMAD:BOOL=OFF

# This one line sed command is easier than trying to muck with the Makefile
# to add the proper -D definition.
sed -i "s|#define FL_BASEDIR.*|#define FL_BASEDIR \"%{_datadir}/%{name}\"|" source/files.h
sed -i "s|#define CONFIG_FILE.*|#define CONFIG_FILE \"%{_sysconfdir}/timidity.cfg\"|" source/timidity/config.h

make VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install \
        DESTDIR=$RPM_BUILD_ROOT \
        INSTALL_PARMS="-m 0755" \
        INSTALL_EXEPARMS="-m 0755" \
        INSTALL_DIRPARMS="-m 0755 -d"

mv $RPM_BUILD_ROOT%{_bindir}/%{name}.* $RPM_BUILD_ROOT%{_bindir}/%{name}
mv $RPM_BUILD_ROOT%{_bindir}/%{name}-dedicated.* $RPM_BUILD_ROOT%{_bindir}/%{name}-dedicated

# install autodl files and wrapper scripts
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}
install -p -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/%{name}

install -p -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/doom-shareware
install -p -m 755 %{SOURCE6} $RPM_BUILD_ROOT%{_bindir}/heretic-shareware
install -p -m 755 %{SOURCE7} $RPM_BUILD_ROOT%{_bindir}/hexen-demo
install -p -m 755 %{SOURCE8} $RPM_BUILD_ROOT%{_bindir}/strife-demo

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE9}
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE10}
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE11}
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE12}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE13} %{SOURCE14} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc docs/*.log docs/gnu.txt docs/vavoom.txt
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-*.desktop
%{_datadir}/icons/hicolor/48x48/apps/*.png


%changelog
* Sun Apr 13 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.27.1-1
- New upstream bugfix release 1.27.1

* Wed Apr  2 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.27-1
- New upstream release 1.27

* Mon Mar  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.26-3
- Change Requires: timidity++ to timidity++-patches, as we just need the
  patches

* Sun Feb 17 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.26-2
- Rebuild for new libmikmod
- Rebuild with gcc 4.3

* Tue Jan 22 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 1.26-1
- New upstream release 1.26

* Tue Oct  9 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.25-1
- New upstream release 1.25

* Sat Sep 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.24-4
- Don't build with libmad support even if libmad happens to be on the system

* Fri Aug 31 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.24-3
- Fix some security issues in the server: CVE-2007-4533, CVE-2007-4534,
  CVE-2007-4535 (bz 256621)

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.24-2
- Update License tag for new Licensing Guidelines compliance

* Thu Jun 14 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.24-1
- New upstream release 1.24
- This also fixes bug 241611

* Sat May 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.23-2
- Add missing libjpeg-devel BuildRequires

* Wed May 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.23-1
- Update to 1.23
- No longer require freedoom, it doesn't seem to work with vavoom
- No longer require vavoom-vmdl, it has license issues
- Add --enable-debug to ./configure flags so that the bins don't get stripped
- Add .desktop files, wrapper scripts and autodownloader files for:
  doom-shareware, heretic-shareware, hexen-demo and strife-demo
- Submit for FE inclusion

* Sun Jul 23 2006 Wart <wart at kobold dot org> 1.21.1-1
- Update to 1.21.1

* Sat Jul 16 2006 Wart <wart at kobold dot org> 1.21-2
- Remove some comments from the spec file
- Remove shell script wrappers from /usr/bin
- Update datadir patch to 1.21

* Sat Jul 15 2006 Wart <wart at kobold dot org> 1.21-1
- Update to 1.21

* Fri Jun 16 2006 Wart <wart at kobold dot org> 1.20-2
- Added various fixes to conform to FHS.
- Added upstream patch to prevent cross-filesystem links when building
  glvis files.

* Sat Jun 3 2006 Wart <wart at kobold dot org> 1.20-1
- Initial Fedora Extras package
